Debian 10 - Netzwerkscanner wird nicht gefunden

Einrichten des lokalen Netzes, Verbindung zu anderen Computern und Diensten.
Antworten
AxelMD
Beiträge: 541
Registriert: 15.03.2009 08:02:11

Re: Debian 10 - Netzwerkscanner wird nicht gefunden

Beitrag von AxelMD » 26.10.2020 17:11:57

https://wiki.ubuntuusers.de/systemd/Units/

Das bringt mich nicht wirklich nach vorne.

Mir sagt das nichts.

Benutzeravatar
bluestar
Beiträge: 1588
Registriert: 26.10.2004 11:16:34
Wohnort: Rhein-Main-Gebiet

Re: Debian 10 - Netzwerkscanner wird nicht gefunden

Beitrag von bluestar » 26.10.2020 19:42:32

AxelMD hat geschrieben: ↑ zum Beitrag ↑
26.10.2020 17:11:57
https://wiki.ubuntuusers.de/systemd/Units/

Das bringt mich nicht wirklich nach vorne.

Mir sagt das nichts.
Schau mal dort: https://lmgtfy.app/?q=systemd+units+auflisten

AxelMD
Beiträge: 541
Registriert: 15.03.2009 08:02:11

Re: Debian 10 - Netzwerkscanner wird nicht gefunden

Beitrag von AxelMD » 26.10.2020 20:16:00

Der Link bringt mich nicht weiter.

Hat jemand eine richtige Lösung?

AxelMD
Beiträge: 541
Registriert: 15.03.2009 08:02:11

Re: Debian 10 - Netzwerkscanner wird nicht gefunden

Beitrag von AxelMD » 27.10.2020 07:42:57

Hier mache ich weiter, die Postings von da bis hier sind für mich nicht zielführend gewesen:

viewtopic.php?f=30&t=176958&start=60#p1253047
AxelMD hat geschrieben: ↑ zum Beitrag ↑
26.10.2020 10:57:15
aus

viewtopic.php?f=27&p=1253045#p1253045
hikaru hat geschrieben: ↑ zum Beitrag ↑
26.10.2020 10:48:35
Ich habe den verlinkten Thread nur überflogen, daher kann und will ich zu den dort präsentierten Lösungen nichts sagen. Vielleicht bin ich hier auch völlig auf dem Holzweg.
Der dort verlinkte Bugreport läuft aber auf eine fehlende udev-rule in Buster hinaus. Vergleicht man Debianlibsane aus Buster und Debianlibsane1 aus Bullseye dann fehlt in Buster diese Rule:

Code: Alles auswählen

ENV{libsane_matched}=="yes", RUN+="/bin/setfacl -m g:scanner:rw $env{DEVNAME}"
Was die bewirkten soll und ob sie dein Problem löst weiß ich nicht. Testweise könntest du die mal in deinem System nachtragen.
Falls sie nicht hilft halte ich es für sinnvoller den ursprünglichen Thread sorgfältig abzuarbeiten (An Vorschlägen mangelte es ja nicht) als hier Releases zu mischen.
Danke hikaru, wo trage ich die Rules ein?


https://bugs.debian.org/cgi-bin/bugrepo ... =918358#12
http://forums.debian.net/viewtopic.php?f=5&t=145489
https://bugs.debian.org/cgi-bin/pkgrepo ... t=unstable

Wie löse ich das Problem anderweitig?

Bug: https://bugs.debian.org/cgi-bin/bugrepo ... bug=950646
Zuletzt geändert von AxelMD am 01.11.2020 21:21:36, insgesamt 2-mal geändert.

mitscherdinger
Beiträge: 217
Registriert: 08.02.2006 00:57:42

Re: Debian 10 - Netzwerkscanner wird nicht gefunden

Beitrag von mitscherdinger » 29.10.2020 11:53:09

Ich habe den Thread nur überflogen, von dem her kann es sein, dass das schon mal versucht wurde…
Ich hatte mal das Problem, dass saned nicht per Netzwerk ansprechbar war, weil ich statt des Namens die IP-Adresse eingetragen habe.
Es müsste also im LAN ein Namen für den sane-Server vergeben sein und dieser Name wäre in /etc/sane.d/net.conf anstatt der IP-Adresse einzutragen, damit eine Verbindung stattfinden kann.

AxelMD
Beiträge: 541
Registriert: 15.03.2009 08:02:11

Re: Debian 10 - Netzwerkscanner wird nicht gefunden

Beitrag von AxelMD » 30.10.2020 14:51:47

Hallo mitscherdinger,

was meinst Du damit genau?
Ich hatte mal das Problem, dass saned nicht per Netzwerk ansprechbar war, weil ich statt des Namens die IP-Adresse eingetragen habe.
Es müsste also im LAN ein Namen für den sane-Server vergeben sein und dieser Name wäre in /etc/sane.d/net.conf anstatt der IP-Adresse einzutragen, damit eine Verbindung stattfinden kann.

Was hast Du auf den Server wo eingetragen?


Was Du auf dem Client wo eingetragen?


War das auch ein systemd System?

MfG
AxelMD

mitscherdinger
Beiträge: 217
Registriert: 08.02.2006 00:57:42

Re: Debian 10 - Netzwerkscanner wird nicht gefunden

Beitrag von mitscherdinger » 30.10.2020 19:40:37

Am Server muss nichts eingetragen werden. Der DNS-Server in Deinem LAN muss dem Rechner, auf dem der saned-Server läuft, einen Namen verpasst haben. Den Namen musst Du herausbekommen und in /etc/sane.d/net.conf eintragen. Fertig. Also, falls das der Fehler war.

AxelMD
Beiträge: 541
Registriert: 15.03.2009 08:02:11

Re: Debian 10 - Netzwerkscanner wird nicht gefunden

Beitrag von AxelMD » 30.10.2020 20:31:09

Hallo, macht das wirklich Sinn, den Client zu verändern, mit Debian 9 auf dem Server funktioniert der Client einwandfrei?

mitscherdinger
Beiträge: 217
Registriert: 08.02.2006 00:57:42

Re: Debian 10 - Netzwerkscanner wird nicht gefunden

Beitrag von mitscherdinger » 30.10.2020 21:20:08

Probier's aus! Kannste ja wieder rückgängig machen. Is auch nur n Schuss ins Blaue.

AxelMD
Beiträge: 541
Registriert: 15.03.2009 08:02:11

Re: Debian 10 - Netzwerkscanner wird nicht gefunden

Beitrag von AxelMD » 31.10.2020 08:32:52

Der DNS-Server in Deinem LAN muss dem Rechner, auf dem der saned-Server läuft, einen Namen verpasst haben. Den Namen musst Du herausbekommen und .............
Wo finde ich den Namen?
Welchen Namen?

debianoli
Beiträge: 3852
Registriert: 07.11.2007 13:58:49
Wohnort: Augschburg

Re: Debian 10 - Netzwerkscanner wird nicht gefunden

Beitrag von debianoli » 31.10.2020 08:47:48

Hostname ist dir kein Begriff?

mitscherdinger
Beiträge: 217
Registriert: 08.02.2006 00:57:42

Re: Debian 10 - Netzwerkscanner wird nicht gefunden

Beitrag von mitscherdinger » 31.10.2020 10:56:29

debianoli hat geschrieben: ↑ zum Beitrag ↑
31.10.2020 08:47:48
Hostname ist dir kein Begriff?
Danke. "Hostname"! Der Name war mir gerade entfallen.
Du kannst ja mal auf dem Rechner mit dem saned-Server in die Datei /etc/hosts schauen, was unter 127.0.0.1 steht. Bei mir steht da zum einen "localhost" und noch eine zweite Zeile. "localhost" ist uninteressant, weil das immer der eigene Rechner ist, aber die zweite Zeile zeigt normalerweise, wie der Rechner im LAN genannt wird. /etc/hosts ist normalerweise so aufgebaut:

127.0.0.1 localhost
127.0.0.1 [hostname].[domainname] [hostname]

Du musst bei der Installation von Debian immer einen Hostname oder Rechnernamen vergeben. Der DNS übernimmt diesen Namen normalerweise. Deine Aufgabe ist es, [hostname] aus der Datei /etc/hosts vom saned-Server in /etc/saned/net.conf Deines Clients einzutragen. Wenn ich mich recht erinnere wäre dann nicht einmal ein Neustart notwendig - aber sicher ist sicher.

AxelMD
Beiträge: 541
Registriert: 15.03.2009 08:02:11

Re: Debian 10 - Netzwerkscanner wird nicht gefunden

Beitrag von AxelMD » 31.10.2020 11:37:31

Lösungsansätze Oktober 2020

Scanserver, Sachstand:

Code: Alles auswählen

 cat /etc/sane.d/net.conf 

Code: Alles auswählen

#scan-client.somedomain.firm
#192.168.0.1
#192.168.0.1/29
#[2001:db8:185e::42:12]
#[2001:db8:185e::42:12]/64
# Neueintrag Client IP
192.168.178.42
PC-Axel #Hostname-Server
Ergebnis Test: _______

oder


Zwischen Idee von einem User:
Ich vermute aber, das dein Problem mit nicht offenen/erreichbaren Ports, bzw. IPv6 zu tun hat, das der von SystemD gestartete Service unter Debian 10 nur auf Anfrage per IPv6 reagiert.
Wie prüfe ich diesen Sachverhalt ab?



https://wiki.debian.org/SaneOverNetwork


https://feeding.cloud.geek.nz/posts/set ... sing-sane/

Code: Alles auswählen

Configure the server

With the scanner working locally, it's time to expose it to network clients by adding the client IP addresses to /etc/sane.d/saned.conf:

## Access list
192.168.1.3

and then opening the appropriate ports on your firewall (typically /etc/network/iptables in Debian):

-A INPUT -s 192.168.1.3 -p tcp --dport 6566 -j ACCEPT
-A INPUT -s 192.168.1.3 -p udp -j ACCEPT

Then you need to ensure that the SANE server is running by setting the following in /etc/default/saned:

RUN=yes

if you're using the sysv init system, or by running this command:

systemctl enable saned.socket

if using systemd.

Code: Alles auswählen

if using systemd.

I actually had to reboot to make saned visible to systemd, so if you still run into these errors:

$ service saned start
Failed to start saned.service: Unit saned.service is masked.

you're probably just one reboot away from getting it to work.

AxelMD
Beiträge: 541
Registriert: 15.03.2009 08:02:11

Re: Debian 10 - Netzwerkscanner wird nicht gefunden

Beitrag von AxelMD » 03.11.2020 15:13:25

Hallo, mit zuvor Versuchslösungen bin ich nicht zum Erfolg gekommen.

Heute, auf dem Server ausgeführt:

Code: Alles auswählen

sudo scanimage > test.ppm

Code: Alles auswählen

 scanimage > test.ppm
scanimage: no SANE devices found

Warum benötige ich sudo auf dem Terminal?

Auf dem testweise LXQt Desktop kann ich als User xsane benutzen.

Jetzt hat es auch ohne sudo funktioniert:

Code: Alles auswählen

 scanimage > test.ppm
So, jetztwieder zum "nicht" verbasteltem System.

Was kann ich noch versuchen?

AxelMD
Beiträge: 541
Registriert: 15.03.2009 08:02:11

Re: Debian 10 - Netzwerkscanner wird nicht gefunden

Beitrag von AxelMD » 03.11.2020 16:12:48

https://bugs.debian.org/cgi-bin/bugrepo ... bug=950646

sane-utils: saned does not work if starteed via systemd

Paket aus Debian Bullseyes

Code: Alles auswählen

sudo apt install /home/axel/sane-utils_1.0.31-2_amd64.deb
Paketlisten werden gelesen... Fertig
Abhängigkeitsbaum wird aufgebaut.       
Statusinformationen werden eingelesen.... Fertig
Hinweis: »sane-utils« wird an Stelle von »/home/zxz/sane-utils_1.0.31-2_amd64.deb« gewählt.
Einige Pakete konnten nicht installiert werden. Das kann bedeuten, dass
Sie eine unmögliche Situation angefordert haben oder, wenn Sie die
Unstable-Distribution verwenden, dass einige erforderliche Pakete noch
nicht erstellt wurden oder Incoming noch nicht verlassen haben.
Die folgenden Informationen helfen Ihnen vielleicht, die Situation zu lösen:

Die folgenden Pakete haben unerfüllte Abhängigkeiten:
 sane-utils : Hängt ab von: libc6 (>= 2.29) aber 2.28-10 soll installiert werden
E: Probleme können nicht korrigiert werden, Sie haben zurückgehaltene defekte Pakete.
Wie kann ich die Abhängigkeiten erfüllen? Macht es Sinn hier weiter zu versuchen?


Jetzt habe ich testing in die sources.list eingetragen:

Code: Alles auswählen

sudo apt install sane-utils
Paketlisten werden gelesen... Fertig
Abhängigkeitsbaum wird aufgebaut.       
Statusinformationen werden eingelesen.... Fertig
Die folgenden Pakete wurden automatisch installiert und werden nicht mehr benötigt:
  ant ant-contrib ant-optional firebird3.0-common firebird3.0-common-doc firebird3.0-server-core firebird3.0-utils gnome-keyring
  gnome-keyring-pkcs11 javascript-common libactivation-java libaopalliance-java libapache-poi-java libapache-pom-java libargs4j-java libasm-java
  libatinject-jsr330-api-java libbase-java libbcmail-java libbcpkix-java libbcprov-java libbsh-java libcairo-perl libcdi-api-java libcglib-java
  libcodec2-0.8.1 libcodemodel-java libcommons-cli-java libcommons-codec-java libcommons-collections3-java libcommons-collections4-java
  libcommons-compress-java libcommons-io-java libcommons-lang3-java libcommons-logging-java libcommons-math3-java libcommons-parent-java
  libcurvesapi-java libdom4j-java libdouble-conversion1 libdpkg-perl libdtd-parser-java libehcache-java libel-api-java libextutils-depends-perl
  libextutils-pkgconfig-perl libfastinfoset-java libfbclient2 libflute-java libfonts-java libformula-java libgdata-common libgdata22
  libgeronimo-annotation-1.3-spec-java libgeronimo-interceptor-3.0-spec-java libglib-perl libgoa-1.0-0b libgoa-1.0-common libguava-java
  libguice-java libhawtjni-runtime-java libhsqldb1.8.0-java libhttpclient-java libhttpcore-java libib-util libicu4j-java libilmbase23
  libintellij-annotations-java libistack-commons-java libitext-java libjansi-java libjansi-native-java libjaxb-api-java libjaxb-java libjaxen-java
  libjcommon-java libjdom1-java libjetbrains-annotations-java libjsoup-java libjsp-api-java libjsr305-java libkf5config-bin libkf5dbusaddons-bin
  libkf5iconthemes-bin libkf5xmlgui-bin liblayout-java libloader-java liblog4j1.2-java libmail-java libmaven-file-management-java
  libmaven-parent-java libmaven-resolver-java libmaven-shared-io-java libmaven-shared-utils-java libmaven3-core-java libmpdec2 liboauth0
  libopenexr23 libpam-gnome-keyring libpango-perl libpentaho-reporting-flow-engine-java libpixie-java libplexus-archiver-java libplexus-cipher-java
  libplexus-classworlds-java libplexus-component-annotations-java libplexus-interpolation-java libplexus-io-java libplexus-sec-dispatcher-java
  libplexus-utils2-java libpython3.7 libpython3.7-minimal libpython3.7-stdlib libraw19 libre2-5 librelaxng-datatype-java libreoffice-base-drivers
  libreoffice-sdbc-firebird librepository-java librngom-java libsac-java libsaxonhe-java libserializer-java libservlet-api-java libservlet3.1-java
  libsisu-guice-java libsisu-inject-java libsisu-ioc-java libsisu-plexus-java libslf4j-java libsnappy-java libsnappy-jni libstax-ex-java
  libstreambuffer-java libtommath1 libtxw2-java libusbmuxd4 libwagon-http-java libwagon-provider-api-java libwebsocket-api-java libxerces2-java
  libxml-commons-external-java libxml-commons-resolver1.1-java libxml-java libxmlbeans-java libxom-java libxsom-java libxz-java node-normalize.css
  p11-kit p11-kit-modules pkg-config python3.7 python3.7-minimal
Verwenden Sie »sudo apt autoremove«, um sie zu entfernen.
Die folgenden zusätzlichen Pakete werden installiert:
  coinor-libcbc3 coinor-libcoinmp1v5 cups cups-bsd cups-client cups-common cups-core-drivers cups-daemon cups-ipp-utils cups-server-common ffmpeg
  firebird3.0-common firebird3.0-common-doc firebird3.0-server-core firebird3.0-utils fonts-opensymbol fonts-urw-base35 gcc-10-base
  gir1.2-gst-plugins-base-1.0 gir1.2-gstreamer-1.0 gsettings-desktop-schemas gstreamer1.0-plugins-bad gvfs gvfs-common gvfs-daemons gvfs-libs hplip
  hplip-data libapt-pkg6.0 libavcodec58 libavdevice58 libavfilter7 libavformat58 libavresample4 libavutil56 libbabl-0.1-0 libbrlapi0.8 libc-bin
  libc-l10n libc6 libcairo-perl libcbor0 libcdio-cdda2 libcdio-paranoia2 libcdio19 libcodec2-0.9 libcrypt1 libcups2 libcupsimage2 libcurl3-gnutls
  libdav1d4 libdc1394-25 libdouble-conversion3 libdpkg-perl libdvdread8 libevent-2.1-7 libextutils-depends-perl libextutils-pkgconfig-perl
  libfbclient2 libffi7 libfido2-1 libfluidsynth2 libfm-qt6 libfreetype6 libgcc-s1 libgdata22 libgegl-0.4-0 libgegl-common libgirepository-1.0-1
  libglib-perl libglib2.0-0 libglib2.0-bin libgnutls30 libgpgmepp6 libgstreamer-gl1.0-0 libgstreamer-plugins-bad1.0-0
  libgstreamer-plugins-base1.0-0 libgstreamer1.0-0 libhogweed6 libhpmud0 libhtml-parser-perl libib-util libicu67 libilmbase25 libimobiledevice6
  libinstpatch-1.0-2 libjson-glib-1.0-0 libjson-glib-1.0-common libkf5archive5 libkf5attica5 libkf5auth-data libkf5auth5 libkf5authcore5
  libkf5codecs-data libkf5codecs5 libkf5config-data libkf5configcore5 libkf5configgui5 libkf5configwidgets-data libkf5configwidgets5
  libkf5coreaddons-data libkf5coreaddons5 libkf5crash5 libkf5dbusaddons-data libkf5dbusaddons5 libkf5globalaccel-bin libkf5globalaccel-data
  libkf5globalaccel5 libkf5guiaddons5 libkf5i18n-data libkf5i18n5 libkf5iconthemes-data libkf5iconthemes5 libkf5itemviews-data libkf5itemviews5
  libkf5widgetsaddons-data libkf5widgetsaddons5 libkf5windowsystem-data libkf5windowsystem5 libkf5xmlgui-data libkf5xmlgui5 liblocale-gettext-perl
  libltc11 libmd4c0 libmfx1 libmount1 libmysofa1 libnet-dbus-perl libnet-ssleay-perl libnettle8 libnsl2 libnss-nis libnss-nisplus libopenexr25
  libopenni2-0 libp11-kit0 libpango-perl libperl5.30 libplist3 libpocketsphinx3 libpolkit-qt5-1-1 libpoppler-glib8 libpoppler102 libpostproc55
  libpython3-stdlib libpython3.8 libpython3.8-minimal libpython3.8-stdlib libpython3.9 libpython3.9-minimal libpython3.9-stdlib libqt5core5a
  libqt5dbus5 libqt5designer5 libqt5gui5 libqt5help5 libqt5multimedia5 libqt5network5 libqt5positioning5 libqt5printsupport5 libqt5qml5
  libqt5qmlmodels5 libqt5qmlworkerscript5 libqt5quick5 libqt5quickwidgets5 libqt5script5 libqt5sensors5 libqt5sql5 libqt5sql5-sqlite libqt5svg5
  libqt5test5 libqt5texttospeech5 libqt5waylandclient5 libqt5waylandcompositor5 libqt5webchannel5 libqt5webengine-data libqt5webenginecore5
  libqt5webenginewidgets5 libqt5webkit5 libqt5widgets5 libqt5x11extras5 libqt5xdgiconloader3 libqt5xml5 librabbitmq4 libraw20 libre2-8 libreadline8
  libreoffice-style-colibre librubberband2 libsane-hpaio libsdl2-2.0-0 libselinux1 libsnappy1v5 libsnmp40 libsphinxbase3 libsrt1-gnutls libstdc++6
  libswresample3 libswscale5 libtalloc2 libtasn1-6 libtdb1 libtevent0 libtext-charwidth-perl libtext-iconv-perl libtirpc-common libtirpc3
  libusbmuxd6 libvpx6 libwebpmux3 libx11-xcb1 libx264-160 libx265-192 libxcb-res0 libxcb-xinput0 libxcomposite1 libxml-parser-perl libxmlsec1
  libxmlsec1-nss locales lxqt-qtplugin ocl-icd-libopencl1 openssh-client openssh-server openssh-sftp-server p11-kit-modules perl perl-base
  perl-modules-5.30 pkg-config printer-driver-hpcups printer-driver-hpijs python3 python3-apt python3-brlapi python3-cairo python3-cups
  python3-dbus python3-gi python3-gst-1.0 python3-lxml python3-minimal python3-pil python3-pycurl python3-pyqt5 python3-pyqt5.sip python3-pyxattr
  python3-renderpm python3-reportlab-accel python3-sip python3.8 python3.8-minimal qml-module-qtquick2 qt5-gtk-platformtheme qt5-gtk2-platformtheme
  qt5-style-plugin-cleanlooks qt5-style-plugin-motif qt5-style-plugin-plastique qt5-style-plugins qtspeech5-speechd-plugin qtwayland5 runit-helper
  timgm6mb-soundfont
Vorgeschlagene Pakete:
  cups-pdf smbclient inetutils-inetd | inet-superserver ffmpeg-doc firebird3.0-server firebird3.0-doc fonts-freefont-otf | fonts-freefont-ttf
  fonts-texgyre frei0r-plugins gvfs-backends hplip-doc hplip-gui python3-notify2 glibc-doc libfont-freetype-perl debian-keyring gcc | c-compiler
  binutils patch git bzr libdvdcss2 gnutls-bin libvisual-0.4-plugins gstreamer1.0-tools libusbmuxd-tools qt5-qmltooling-plugins opencl-icd keychain
  libpam-ssh monkeysphere molly-guard ufw perl-doc libterm-readline-gnu-perl | libterm-readline-perl-perl make libtap-harness-archive-perl dpkg-dev
  hpijs-ppds python3-doc python3-tk python3-venv python3-apt-dbg python-apt-doc python-dbus-doc python3-dbus-dbg python3-lxml-dbg python-lxml-doc
  python-pil-doc python3-pil-dbg libcurl4-gnutls-dev python-pycurl-doc python3-pycurl-dbg python3-pyqt5-dbg python3-pyxattr-dbg python-pyxattr-doc
  python3-renderpm-dbg python3.8-venv python3.8-doc binfmt-support unpaper fluid-soundfont-gm
Empfohlene Pakete:
  ipp-usb apt libfile-fcntllock-perl libkf5config-bin libkf5dbusaddons-bin libkf5iconthemes-bin libkf5xmlgui-bin pocketsphinx-en-us
Die folgenden Pakete werden ENTFERNT:
  gvfs-backends gvfs-fuse libgtk2-perl libreoffice libreoffice-base libreoffice-help-common libreoffice-help-en-us libreoffice-java-common
  libreoffice-librelogo libreoffice-nlpsolver libreoffice-report-builder libreoffice-report-builder-bin libreoffice-script-provider-bsh
  libreoffice-script-provider-js libreoffice-script-provider-python libreoffice-sdbc-hsqldb libreoffice-wiki-publisher python3-smbc python3-uno
Die folgenden NEUEN Pakete werden installiert:
  fonts-urw-base35 gcc-10-base libapt-pkg6.0 libbrlapi0.8 libcbor0 libcdio19 libcodec2-0.9 libcrypt1 libdav1d4 libdc1394-25 libdouble-conversion3
  libdpkg-perl libdvdread8 libevent-2.1-7 libextutils-depends-perl libextutils-pkgconfig-perl libffi7 libfido2-1 libfluidsynth2 libgcc-s1
  libhogweed6 libicu67 libilmbase25 libinstpatch-1.0-2 libkf5authcore5 libltc11 libmd4c0 libmfx1 libmysofa1 libnettle8 libnsl2 libnss-nis
  libnss-nisplus libopenexr25 libopenni2-0 libperl5.30 libpocketsphinx3 libpoppler-glib8 libpoppler102 libpython3.8 libpython3.8-minimal
  libpython3.8-stdlib libpython3.9 libpython3.9-minimal libpython3.9-stdlib libqt5qmlmodels5 libqt5qmlworkerscript5 librabbitmq4 libraw20 libre2-8
  libreadline8 libsnmp40 libsphinxbase3 libsrt1-gnutls libtirpc-common libtirpc3 libusbmuxd6 libvpx6 libx264-160 libx265-192 libxcb-res0
  libxcb-xinput0 ocl-icd-libopencl1 perl-modules-5.30 pkg-config python3-pyqt5.sip python3.8 python3.8-minimal qt5-gtk2-platformtheme
  qt5-style-plugin-cleanlooks qt5-style-plugin-motif qt5-style-plugin-plastique qtspeech5-speechd-plugin runit-helper timgm6mb-soundfont
Die folgenden Pakete werden aktualisiert (Upgrade):
  coinor-libcbc3 coinor-libcoinmp1v5 cups cups-bsd cups-client cups-common cups-core-drivers cups-daemon cups-ipp-utils cups-server-common ffmpeg
  firebird3.0-common firebird3.0-common-doc firebird3.0-server-core firebird3.0-utils fonts-opensymbol gir1.2-gst-plugins-base-1.0
  gir1.2-gstreamer-1.0 gsettings-desktop-schemas gstreamer1.0-plugins-bad gvfs gvfs-common gvfs-daemons gvfs-libs hplip hplip-data libavcodec58
  libavdevice58 libavfilter7 libavformat58 libavresample4 libavutil56 libbabl-0.1-0 libc-bin libc-l10n libc6 libcairo-perl libcdio-cdda2
  libcdio-paranoia2 libcups2 libcupsimage2 libcurl3-gnutls libfbclient2 libfm-qt6 libfreetype6 libgdata22 libgegl-0.4-0 libgegl-common
  libgirepository-1.0-1 libglib-perl libglib2.0-0 libglib2.0-bin libgnutls30 libgpgmepp6 libgstreamer-gl1.0-0 libgstreamer-plugins-bad1.0-0
  libgstreamer-plugins-base1.0-0 libgstreamer1.0-0 libhpmud0 libhtml-parser-perl libib-util libimobiledevice6 libjson-glib-1.0-0
  libjson-glib-1.0-common libkf5archive5 libkf5attica5 libkf5auth-data libkf5auth5 libkf5codecs-data libkf5codecs5 libkf5config-data
  libkf5configcore5 libkf5configgui5 libkf5configwidgets-data libkf5configwidgets5 libkf5coreaddons-data libkf5coreaddons5 libkf5crash5
  libkf5dbusaddons-data libkf5dbusaddons5 libkf5globalaccel-bin libkf5globalaccel-data libkf5globalaccel5 libkf5guiaddons5 libkf5i18n-data
  libkf5i18n5 libkf5iconthemes-data libkf5iconthemes5 libkf5itemviews-data libkf5itemviews5 libkf5widgetsaddons-data libkf5widgetsaddons5
  libkf5windowsystem-data libkf5windowsystem5 libkf5xmlgui-data libkf5xmlgui5 liblocale-gettext-perl libmount1 libnet-dbus-perl libnet-ssleay-perl
  libp11-kit0 libpango-perl libplist3 libpolkit-qt5-1-1 libpostproc55 libpython3-stdlib libqt5core5a libqt5dbus5 libqt5designer5 libqt5gui5
  libqt5help5 libqt5multimedia5 libqt5network5 libqt5positioning5 libqt5printsupport5 libqt5qml5 libqt5quick5 libqt5quickwidgets5 libqt5script5
  libqt5sensors5 libqt5sql5 libqt5sql5-sqlite libqt5svg5 libqt5test5 libqt5texttospeech5 libqt5waylandclient5 libqt5waylandcompositor5
  libqt5webchannel5 libqt5webengine-data libqt5webenginecore5 libqt5webenginewidgets5 libqt5webkit5 libqt5widgets5 libqt5x11extras5
  libqt5xdgiconloader3 libqt5xml5 libreoffice-style-colibre librubberband2 libsane-hpaio libsdl2-2.0-0 libselinux1 libsnappy1v5 libstdc++6
  libswresample3 libswscale5 libtalloc2 libtasn1-6 libtdb1 libtevent0 libtext-charwidth-perl libtext-iconv-perl libwebpmux3 libx11-xcb1
  libxcomposite1 libxml-parser-perl libxmlsec1 libxmlsec1-nss locales lxqt-qtplugin openssh-client openssh-server openssh-sftp-server
  p11-kit-modules perl perl-base printer-driver-hpcups printer-driver-hpijs python3 python3-apt python3-brlapi python3-cairo python3-cups
  python3-dbus python3-gi python3-gst-1.0 python3-lxml python3-minimal python3-pil python3-pycurl python3-pyqt5 python3-pyxattr python3-renderpm
  python3-reportlab-accel python3-sip qml-module-qtquick2 qt5-gtk-platformtheme qt5-style-plugins qtwayland5 sane-utils
189 aktualisiert, 75 neu installiert, 19 zu entfernen und 1056 nicht aktualisiert.
Es müssen 214 MB an Archiven heruntergeladen werden.
Nach dieser Operation werden 217 MB Plattenplatz zusätzlich benutzt.
Möchten Sie fortfahren? [J/n] 
Das gibt bestimmt für mich nicht lösbare Probleme, verworfen.


https://wiki.debian.org/SaneOverNetwork
Auf dem Server:

Code: Alles auswählen

sudo systemctl status saned.socket
● saned.socket - saned incoming socket
   Loaded: loaded (/lib/systemd/system/saned.socket; enabled; vendor preset: enabled)
   Active: active (listening) since Tue 2020-11-03 17:04:19 CET; 2min 56s ago
   Listen: [::]:6566 (Stream)
 Accepted: 0; Connected: 0;
    Tasks: 0 (limit: 4678)
   Memory: 28.0K
   CGroup: /system.slice/saned.socket

Nov 03 17:04:19 axelmd-pc systemd[1]: Listening on saned incoming socket.
Der Client finde mit "sudo scanimage -L" den Scanner leider wieder nicht.

Antworten